Date: Wed, 12 Jan 2005 17:22:46 +0100
From: Marcus Meissner <meissner@suse.de>
To: suse-security-announce@suse.com
Subject: [suse-security-announce] SUSE Security Summary Report SUSE-SR:2005:01


-----BEGIN PGP SIGNED MESSAGE-----

______________________________________________________________________________

                        SUSE Security Summary Report

        Announcement-ID:        SUSE-SR:2005:001
        Date:                   Wednesday, Jan 12th 2004 18:00 MEST
        Cross References:       CAN-2004-1152
                                CAN-2003-0856
                                CAN-2004-1318
                                CAN-2004-1284
                                CAN-2004-1062
                                CAN-2004-0110
                                CAN-2004-0989
                                CAN-2004-1125


    Content of this advisory:
        1) solved security vulnerabilities:
            - problems with kernel update end of December
            - acroread document parsing
            - iproute2 denial of service
            - namazu cross site scripting
            - mpg123 play list option buffer overflow
            - subversion-viewcvs cross site scripting
            - postgresql several vulnerabilities
            - libxml2 old nano ftp / HTTP vulnerabilities
            - xpdf new integer overflows

        2) pending vulnerabilities, solutions, workarounds:
            - Sun and Blackdown Java
            - new kernel problems
            - squirrelmail cross site scripting
            - acroread buffer overflow
            - phpMyAdmin remote command execution
            - wget file overwrite problems
            - multiple php vulnerabilities
            - multiple problems reported by djb

        3) standard appendix (further information)

______________________________________________________________________________

1) solved security vulnerabilities

   To avoid spamming lists with advisories for every small incident,
   we will release weekly summary advisories for issues where we have
   released updates without a full advisory. Since these are minor
   issues, md5sums and ftp URLs are not included.

   Fixed packages for the following incidents are already available on
   our FTP server and via the YaST Online Update.


   - Problems with kernel update at end of December 2004.

     The kernel RPMs for SUSE Linux 9.2 kernel of the update had
     broken post installation scripts which might have lead to a
     non-booting system. This error has been fixed on our update
     site and it is safe to apply all SUSE Linux 9.2 updates.

     If you still have a non booting system the easiest way to
     make it boot correctly again is to:

        - Boot the Installer from the DVD/CD.
        - Select "Boot installed System", select your systems
          partition.
        - After the system has started, log in as root user.
        - Run /sbin/mkinitrd

     This will fix the /boot/initrd symlink to point to the correct initrd.


   - Acroread document parsing

     The Acrobat Reader shipping with SUSE Linux allows scanning
     E-Mail style plain text files for PDF documents.
     This code had a flaw which could lead to a remote attacker
     executing code as the viewing user by handcrafting a special
     E-Mail. This is tracked by the Mitre CVE ID CAN-2004-1152.

     All SUSE Linux based products including the acroread RPM are
     affected.


   - iproute2 local denial of service

     A missing access check in the netfilter communication handling
     of the "ip" program in the iproute2 RPM could lead to a local
     attacker causing a local denial of service by inserting erroneous
     information into the netfilter data stream.
     This is tracked by the Mitre CVE ID CAN-2003-0856

     All SUSE Linux based products are affected.


   - namazu cross site scripting

     A cross site scripting problem was found in namazu, a full text
     web search engine. This issue is tracked by the Mitre CVE ID
     CAN-2004-1318.

     All SUSE Linux based products are affected.


   - mpg123 play list option buffer overflow

     A buffer overflow in the mpg123 play list handling could have
     a remote user providing a mpg123 play list to execute code
     as the listening user. This is tracked by the Mitre CVE ID
     CAN-2004-1284.

     All SUSE Linux based products are affected.


   - subversion-viewcvs cross site scripting

     A cross site scripting problem in the viewcvs part of our
     subversion RPMs was found and fixed. This is tracked by
     the Mitre CVE ID CAN-2004-1062.

     SUSE Linux version from 9.0 up to 9.2 are affected.


   - postgresql several vulnerabilities

     Several minor security problems were found and fixed in the
     PostgreSQL database server.

     All SUSE Linux based products are affected.


   - libxml2 / libxml old nano-ftp / HTTP vulnerabilities

     Old vulnerabilities in the URL handling routines of libxml and
     libxml2 were reviewed and found not completely fixed in the SUSE
     RPMs, potentially allowing a remote attacker to execute code
     as the local user.
     These are tracked by the Mitre CVE ID CAN-2004-0989 and CAN-2004-0110.

     All SUSE Linux based products are affected.


   - xpdf new integer overflows

     New integer overflows have been found in the xpdf documentviewer
     and xpdf clones which could lead to a remote attacker gaining
     local access by providing a special handcrafted PDF file.
     This issue is tracked by the Mitre CVE ID CAN-2004-1125.

     Updated RPMs for xpdf and kdegraphics3-pdf were released,
     pdftohtml, gpdf, cups and more will follow.

     All SUSE Linux based products are affected.

______________________________________________________________________________

2)  Pending vulnerabilities in SUSE Distributions and Workarounds:

    - Sun Java Plugin

        A privilege escalation problem was found in the Sun Java Plugin
        which could have a remote attacker reading and writing files of
        a local user browsing websites.

        This bug affects all SUSE versions on the Intel x86 and AMD64 /
        Intel Extended Memory Architecture (EM64T) platforms.

        We are in the process of releasing updated Java packages.


    - kernel

        Several more problems have been found in the Linux 2.4 and 2.6
        kernels:

        - Due to missing locking in the sys_uselib system call
          a local attacker can gain root access. This was found
          by Paul Starzetz and is tracked by the Mitre CVE ID
          CAN-2004-1235.

        - Paul Starzetz also found a race condition in SMP page table
          handling which could lead to a local attacker gaining root
          access on i386 SMP machines. This is tracked by the Mitre
          CVE ID CAN-2005-001.

        - Several more problems have been reported by grsecurity and
          are evaluated currently.

        All SUSE Linux based products are affected and we are in the
        process of preparing updated packages.


     - konqueror

         The Konqueror web browser allows websites to load web pages into
         a window or tab currently used by another website. This was
         reported by Secunia Research.

         Mitre has has assigned the CVE ID CAN-2004-1158 to this issue.

         All SUSE Linux based products are affected, we are preparing
         updates for this problem.


      - php

         Multiple vulnerabilities were found in the php unserialize
         functionality and other functions by Stefan Esser and others.
         We are in the process of preparing updated packages.

         All SUSE Linux based products are affected.


      - multiple problems reported by djb

         Daniel Bernstein held a course on vulnerabilities and had
         his students audit existing UNIX software for potential
         problems and vulnerabilities. The students discovered 44
         flaws during this course.
         Not all of those are as serious to be released as a security
         update, the SUSE Security Team has identified the packages
         that need an update and is releasing fixes for them.

         All SUSE Linux based products are affected.


______________________________________________________________________________

3)  standard appendix: authenticity verification, additional information

  - Package authenticity verification:

    SUSE update packages are available on many mirror ftp servers all over
    the world. While this service is being considered valuable and important
    to the free and open source software community, many users wish to be
    sure about the origin of the package and its content before installing
    the package. There are two verification methods that can be used
    independently from each other to prove the authenticity of a downloaded
    file or rpm package:
    1) md5sums as provided in the (cryptographically signed) announcement.
    2) using the internal gpg signatures of the rpm package.

    1) execute the command
        md5sum <name-of-the-file.rpm>
       after you downloaded the file from a SUSE ftp server or its mirrors.
       Then, compare the resulting md5sum with the one that is listed in the
       announcement. Since the announcement containing the checksums is
       cryptographically signed (usually using the key security@suse.de),
       the checksums show proof of the authenticity of the package.
       We recommend against subscribing to security lists that cause the
       e-mail message containing the announcement to be modified
       so that the signature does not match after transport through the mailing
       list software.
       Downsides: You must be able to verify the authenticity of the
       announcement in the first place. If RPM packages are being rebuilt
       and a new version of a package is published on the ftp server, all
       md5 sums for the files are useless.

    2) rpm package signatures provide an easy way to verify the authenticity
       of an rpm package. Use the command
        rpm -v --checksig <file.rpm>
       to verify the signature of the package, where <file.rpm> is the
       file name of the rpm package that you have downloaded. Of course,
       package authenticity verification can only target an uninstalled rpm
       package file.
       Prerequisites:
        a) gpg is installed
        b) The package is signed using a certain key. The public part of this
           key must be installed by the gpg program in the directory
           ~/.gnupg/ under the user's home directory who performs the
           signature verification (usually root). You can import the key
           that is used by SUSE in rpm packages for SUSE Linux by saving
           this announcement to a file ("announcement.txt") and
           running the command (do "su -" to be root):
            gpg --batch; gpg < announcement.txt | gpg --import
           SUSE Linux distributions version 7.1 and thereafter install the
           key "build@suse.de" upon installation or upgrade, provided that
           the package gpg is installed. The file containing the public key
           is placed at the top-level directory of the first CD (pubring.gpg)
           and at ftp://ftp.suse.com/pub/suse/pubring.gpg-build.suse.de .


  - SUSE runs two security mailing lists to which any interested party may
    subscribe:

    suse-security@suse.com
        -   general/linux/SUSE security discussion.
            All SUSE security announcements are sent to this list.
            To subscribe, send an email to
                <suse-security-subscribe@suse.com>.

    suse-security-announce@suse.com
        -   SUSE's announce-only mailing list.
            Only SUSE's security announcements are sent to this list.
            To subscribe, send an email to
                <suse-security-announce-subscribe@suse.com>.

    For general information or the frequently asked questions (FAQ)
    send mail to:
        <suse-security-info@suse.com> or
        <suse-security-faq@suse.com> respectively.

    =====================================================================
    SUSE's security contact is <security@suse.com> or <security@suse.de>.
    The <security@suse.de> public key is listed below.
    =====================================================================
______________________________________________________________________________

    The information in this advisory may be distributed or reproduced,
    provided that the advisory is not modified in any way. In particular,
    it is desired that the clear-text signature shows proof of the
    authenticity of the text.
    SUSE Linux AG makes no warranties of any kind whatsoever with respect
    to the information contained in this security advisory.

Type Bits/KeyID    Date       User ID
pub  2048R/3D25D3D9 1999-03-06 SuSE Security Team <security@suse.de>
pub  1024D/9C800ACA 2000-10-19 SuSE Package Signing Key <build@suse.de>

- -----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.0.7 (GNU/Linux)
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=
=Fv2n
- -----END PGP PUBLIC KEY BLOCK-----
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iQEVAwUBQeVOjXey5gA9JdPZAQH69gf+P5H25KquAylWuZsDYErEQ8ZSomBnIAF5
Vcu2l1sWEw7cpvNxv3kKMN8LZx6JQGjdlX2iCBww9C9Ob/hbL+eBLtzm/cNU0EEK
nYBLB3Y72Id/izPcht1TQnBb3TUwATNWQe53q7Rb8KUyi2gkF0ZFzcb6LHF6ue+J
HiTtrD2hhM3faei9hnTG0enAqBN6aGVkyhIRtH2Qoj3me68QA3I8L5YautP35TjE
yRDyTmX4vlhQdN/NgsY0n0d50m1oL8ZyC0SQSYQM3LFHFsZ9UJJMJZKgq55ZxqoW
vqW5U2qiu1/M5LnaJCwyD7AXLRq6vCOPPLx4jJ5ISW3nMJK9cVU+/w==
=Tmmj
-----END PGP SIGNATURE-----

-- 
To unsubscribe, e-mail: suse-security-announce-unsubscribe@suse.com
For additional commands, e-mail: suse-security-announce-help@suse.com